# OnnxRuntime: Ort::IoBinding Struct Reference

Loading...
Searching...
No Matches
Ort::IoBinding Struct Reference

Wrapper around OrtIoBinding. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::IoBinding:

## Public Member Functions

| IoBinding (std::nullptr_t)
| Create an empty object for convenience. Sometimes, we want to initialize members later.
| IoBinding (Session &session)
ConstIoBinding | GetConst () const
UnownedIoBinding | GetUnowned () const
Public Member Functions inherited from Ort::detail::IoBindingImpl< OrtIoBinding >
void | BindInput (const char *name, const Value &)
void | BindOutput (const char *name, const Value &)
void | BindOutput (const char *name, const OrtMemoryInfo *)
void | ClearBoundInputs ()
void | ClearBoundOutputs ()
void | SynchronizeInputs ()
void | SynchronizeOutputs ()
Public Member Functions inherited from Ort::detail::ConstIoBindingImpl< T >
std::vector< std::string > | GetOutputNames () const
std::vector< std::string > | GetOutputNames (OrtAllocator *) const
std::vector< Value > | GetOutputValues () const
std::vector< Value > | GetOutputValues (OrtAllocator *) const
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::IoBindingImpl< OrtIoBinding >
using | B = ConstIoBindingImpl< OrtIoBinding >
using | B = Base< OrtIoBinding >
Public Types inherited from Ort::detail::ConstIoBindingImpl< T >
using | B = Base< T >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T
Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Detailed Description

Wrapper around OrtIoBinding.

## Constructor & Destructor Documentation

## IoBinding() [1/2]

Ort::IoBinding::IoBinding | ( | std::nullptr_t |  | ) |

inlineexplicit

Create an empty object for convenience. Sometimes, we want to initialize members later.

## IoBinding() [2/2]

Ort::IoBinding::IoBinding | ( | Session & | session | ) |

explicit

## Member Function Documentation

## GetConst()

ConstIoBinding Ort::IoBinding::GetConst | ( |  | ) | const

inline

## GetUnowned()

UnownedIoBinding Ort::IoBinding::GetUnowned | ( |  | ) | const

inline